Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Link an object to a task

POST/objects/tasks/link
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Query parameters
fieldsToReturnstring

Comma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.

responseShapestring

Advanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.

Allowed:compactfull
Header parameters
LT-Response-Shapestring

Advanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.

Allowed:full
Request body
requiredapplication/json
objectIdstring<uuid>required

Object instance UUID

taskIdstring<uuid>required

Task UUID

Responses
200
objectIdstring<uuid>required
taskIdstring<uuid>required
401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST "https://leadtime.app/api/public/objects/tasks/link" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "objectId": "e39ea5f2-2188-47f8-add0-f1976630af5e",
  "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8"
}'
Response
{
  "objectId": "e39ea5f2-2188-47f8-add0-f1976630af5e",
  "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8"
}